package com.lerx.dao.iface;

import java.util.List;

import com.lerx.entities.AlbumArticleAtta;

public interface IAlbumArticleAttaDao {
	
	public long add(AlbumArticleAtta aa);
	public void modify(AlbumArticleAtta aa);
	public AlbumArticleAtta findByID(long id);
	public boolean delByID(long id);
	public List<AlbumArticleAtta> findByArticleID(long aid);
	public List<AlbumArticleAtta> findByAidOrTmpID(long aid,long tid);
	public List<AlbumArticleAtta> findByFidAndTmpID(long fid,long tid);
	public List<AlbumArticleAtta> findByArticleAndFileID(long aid,long uid);

}
